## e-debug-log

e-debug-log

## Functions

void | e_debug_log ()
void | e_debug_logv ()
gboolean | e_debug_log_load_configuration ()
void | e_debug_log_enable_domains ()
void | e_debug_log_disable_domains ()
gboolean | e_debug_log_is_domain_enabled ()
gboolean | e_debug_log_dump ()
gboolean | e_debug_log_dump_to_dated_file ()
void | e_debug_log_set_max_lines ()
gint | e_debug_log_get_max_lines ()
void | e_debug_log_clear ()

## Types and Values

#define | E_DEBUG_LOG_DOMAIN_USER
#define | E_DEBUG_LOG_DOMAIN_GLOG
#define | E_DEBUG_LOG_DOMAIN_CAL_QUERIES

## Description

## Functions

### e_debug_log ()

    void
    e_debug_log (gboolean is_milestone,
                 const gchar *domain,
                 const gchar *format,
                 ...);

Records debug information for the given `domain` , if enabled, or always, when `is_milestone` is set to TRUE.

#### Parameters

is_milestone | the debug information is a milestone |
domain | for which domain the debug information belongs |
format | print format |
... | arguments for the format |

Since: 2.32

### e_debug_logv ()

    void
    e_debug_logv (gboolean is_milestone,
                  const gchar *domain,
                  const gchar *format,
                  va_list args);

Records debug information for the given `domain` , if enabled, or always, when `is_milestone` is set to TRUE.

#### Parameters

is_milestone | the debug information is a milestone |
domain | for which domain the debug information belongs |
format | print format |
args | arguments for the format |

Since: 2.32

### e_debug_log_load_configuration ()

    gboolean
    e_debug_log_load_configuration (const gchar *filename,
                                    GError **error);

Loads configuration for the logging from the given `filename` .

#### Parameters

filename | a configuration file name |
error | return location for a GError, or `NULL` |

#### Returns

whether succeeded

Since: 2.32

### e_debug_log_enable_domains ()

    void
    e_debug_log_enable_domains (const gchar **domains,
                                gint n_domains);

Enables all domains from the `domains` array.

#### Parameters

domains | an array of domains to enable. | [array length=n_domains]
n_domains | legth of the `domains` array |

Since: 2.32

### e_debug_log_disable_domains ()

    void
    e_debug_log_disable_domains (const gchar **domains,
                                 gint n_domains);

Disables all domains from the `domains` array.

#### Parameters

domains | an array of domains to disable. | [array length=n_domains]
n_domains | legth of the `domains` array |

Since: 2.32

### e_debug_log_is_domain_enabled ()

    gboolean
    e_debug_log_is_domain_enabled (const gchar *domain);

#### Parameters

domain | a log domain |

#### Returns

whether the given log domain is enabled, which means that any logging to this domain is recorded.

Since: 2.32

### e_debug_log_dump ()

    gboolean
    e_debug_log_dump (const gchar *filename,
                      GError **error);

Saves current log information to the given `filename` .

#### Parameters

filename | a filename to save logged information to |
error | return location for a GError, or `NULL` |

#### Returns

whether succeeded

Since: 2.32

### e_debug_log_dump_to_dated_file ()

    gboolean
    e_debug_log_dump_to_dated_file (GError **error);

Saves current log information to a file "e-debug-log-YYYY-MM-DD-HH-mm-ss.txt" in the user's HOME directory.

#### Parameters

error | return location for a GError, or `NULL` |

#### Returns

whether succeeded

Since: 2.32

### e_debug_log_set_max_lines ()

    void
    e_debug_log_set_max_lines (gint num_lines);

Limits how many lines the log can have.

#### Parameters

num_lines | number of lines |

Since: 2.32

### e_debug_log_get_max_lines ()

    gint
    e_debug_log_get_max_lines (void);

Since: 2.32

### e_debug_log_clear ()

    void
    e_debug_log_clear (void);

Since: 2.32

## Types and Values

### E_DEBUG_LOG_DOMAIN_USER

    #define E_DEBUG_LOG_DOMAIN_USER "USER" /* always enabled */

Since: 2.32

### E_DEBUG_LOG_DOMAIN_GLOG

    #define E_DEBUG_LOG_DOMAIN_GLOG "GLog" /* used for GLog messages; don't use it yourself */

Since: 2.32

### E_DEBUG_LOG_DOMAIN_CAL_QUERIES

    #define E_DEBUG_LOG_DOMAIN_CAL_QUERIES "CalQueries" /* used for calendar queries analysis */

Since: 2.32